# Class RewriteCond.ResourceCondition

java.lang.Object
org.apache.catalina.valves.rewrite.RewriteCond.Condition
org.apache.catalina.valves.rewrite.RewriteCond.ResourceCondition

Enclosing class:
  `RewriteCond`

public static class RewriteCond.ResourceCondition extends RewriteCond.Condition

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `type`
  0: -d (is directory ?)

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResourceCondition()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `evaluate(String value, Resolver resolver)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### type

    public int type

        0: -d (is directory ?)
        1: -f (is regular file ?)
        2: -s (is regular file with size ?)

- ## Constructor Details

  - ### ResourceCondition

    public ResourceCondition()

- ## Method Details

  - ### evaluate

    public boolean evaluate(String value, Resolver resolver)
    Specified by:
      `evaluate` in class `RewriteCond.Condition`